<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:dodst="org.enhydra.dods.xslt.DODSTag"
                xmlns:common="org.enhydra.dods.Common"
				xmlns:miu="org.enhydra.dods.xslt.XSLTUtil"
                version="1.0">
        <xsl:output method="text" encoding="utf-8"/>
<xsl:template name="helperReconstrQuery"><xsl:if test="(USED_FOR_QUERY='true')">  	case <xsl:value-of select="/TABLE/CLASS_NAME"/>DataStruct.COLUMN_<xsl:value-of select="common:upperCaseName(@name)"/>:{               
				 <xsl:choose><xsl:when test="(REFERENCE_OBJECT/IS_FOREIGN_KEY='false')">	if (null==value){
					q.oid_setQuery<xsl:value-of select="common:capitalizeName(@name)"/>((ObjectId)null, op);
					}else{
					q.oid_setQuery<xsl:value-of select="common:capitalizeName(@name)"/>(new BigDecimal(value), op);
					}
				</xsl:when>
				<xsl:otherwise>		q.setQuery<xsl:value-of select="common:capitalizeName(@name)"/>(<xsl:call-template name="type-formater"/>, op);
				</xsl:otherwise>
				 </xsl:choose>	
				}
				break;
			</xsl:if>	
</xsl:template>

<xsl:template name="type-formater">
				<xsl:choose>
					<xsl:when test="miu:adjustJavaType(JAVA_TYPE)='long'">Long.valueOf(value).longValue()</xsl:when>					
					<xsl:when test="miu:adjustJavaType(JAVA_TYPE)='short'">Short.valueOf(value).shortValue()</xsl:when>					
					<xsl:when test="miu:adjustJavaType(JAVA_TYPE)='boolean'">Boolean.valueOf(value).booleanValue()</xsl:when>					
					<xsl:when test="miu:adjustJavaType(JAVA_TYPE)='double'">Double.valueOf(value).doubleValue()</xsl:when>					
					<xsl:when test="miu:adjustJavaType(JAVA_TYPE)='float'">Float.valueOf(value).floatValue()</xsl:when>					
					<xsl:when test="miu:adjustJavaType(JAVA_TYPE)='int'">Integer.valueOf(value).intValue()</xsl:when>	
					<xsl:when test="miu:adjustJavaType(JAVA_TYPE)='byte'">Byte.valueOf(value).byteValue()</xsl:when>	
					<xsl:when test="miu:adjustJavaType(JAVA_TYPE)='byte[]'">value.getBytes()</xsl:when>	
					<xsl:when test="miu:adjustJavaType(JAVA_TYPE)='java.sql.Timestamp'">(null==value)?null:java.sql.Timestamp.valueOf(value)</xsl:when>								
					<xsl:when test="miu:adjustJavaType(JAVA_TYPE)='java.sql.Time'">(null==value)?null:java.sql.Time.valueOf(value)</xsl:when>
					<xsl:when test="miu:adjustJavaType(JAVA_TYPE)='java.sql.Date'">(null==value)?null:java.sql.Date.valueOf(value)</xsl:when>
					<xsl:when test="(miu:adjustJavaType(JAVA_TYPE)='java.math.BigDecimal') or (miu:adjustJavaType(JAVA_TYPE)='BigDecimal')">(null==value)?null:new BigDecimal(value)</xsl:when>																		
					<xsl:otherwise>value</xsl:otherwise>
				 </xsl:choose>	
</xsl:template>				 
</xsl:stylesheet>
